imports:
    - { resource: ./../config/framework.yml }

framework:
    session:
        cookie_secure: auto
        cookie_samesite: lax

security:
    encoders:
        Symfony\Component\Security\Core\User\User: plaintext

    providers:
        in_memory:
            memory:
                users:
                    johannes: { password: test, roles: [ROLE_USER] }

    firewalls:
        default:
            form_login:
                check_path: login
                remember_me: true
                require_previous_session: false
            remember_me:
                always_remember_me: true
                secret: key
            logout: ~
            anonymous: ~
            stateless: true
